﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DataSource = GetData();
            ultraGrid1.DataBind();

            ultraToolbarsManager1.SetContextMenuUltra(ultraGrid1, "GridPopUpMenu");
            ultraToolbarsManager1.SetContextMenuUltra(dateTimePicker1, "GridPopUpMenu");
        }

        private DataTable GetData()
        {
            DataTable dt = new DataTable();

            // Columns
            dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("Date", typeof(DateTime));

            // Rows
            for(int i = 0; i < 5; i++)
            {
                dt.Rows.Add(new object[] { i, DateTime.Now.AddDays(i) });
            }

            // Primary key
            dt.PrimaryKey = new DataColumn[] { dt.Columns["ID"] };

            return dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            Editor editor = new Editor(this.dateTimePicker1);
            e.Layout.Bands[0].Columns["Date"].Editor = editor;
        }
    }
}
